## r-cran-rslurm 0.5.0

=== DESCRIPTION ===
Package: rslurm
Type: Package
Title: Submit R Calculations to a 'Slurm' Cluster
Description: Functions that simplify submitting R scripts to a 'Slurm' 
    workload manager, in part by automating the division of embarrassingly
    parallel calculations across cluster nodes.
Acknowledgements: Development of this R package was supported by the
        National Socio-Environmental Synthesis Center (SESYNC) under
        funding received from the National Science Foundation grants
        DBI-1052875 and DBI-1639145.
Version: 0.5.0
License: GPL-3
URL: https://github.com/SESYNC-ci/rslurm
BugReports: https://github.com/SESYNC-ci/rslurm/issues
Authors@R: c(person('Philippe', 'Marchand', email = "marchand.philippe@gmail.com", role = 'aut'),
             person('Ian', 'Carroll', role = 'aut'),
             person('Mike', 'Smorul', role = 'ctb'),
             person('Rachael', 'Blake', role = 'ctb'),
             person('Quentin', 'Read', email = 'qread@sesync.org', role = c('ctb', 'cre'))
             )
Depends: R (>= 3.5.0)
Imports: whisker (>= 0.3)
RoxygenNote: 6.1.1
Suggests: parallel, testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-11-15 12:41:22 UTC; qread
Author: Philippe Marchand [aut],
  Ian Carroll [aut],
  Mike Smorul [ctb],
  Rachael Blake [ctb],
  Quentin Read [ctb, cre]
Maintainer: Quentin Read <qread@sesync.org>
Repository: CRAN
Date/Publication: 2019-11-15 16:50:02 UTC

=== debian/changelog ===
r-cran-rslurm (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 06:50:33 +0100

r-cran-rslurm (0.4.0-1) unstable; urgency=medium

  * Initial release (closes: #935975)

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Aug 2019 17:22:59 +0200

=== debian/control ===
Source: r-cran-rslurm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-whisker
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rslurm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rslurm.git
Homepage: https://cran.r-project.org/package=rslurm

Package: r-cran-rslurm
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Submit R Calculations to a Slurm Cluster
 Functions that simplify submitting R scripts to a Slurm workload
 manager, in part by automating the division of embarrassingly parallel
 calculations across cluster nodes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian/ -name "slurm_run*" | xargs -r chmod -x

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rslurm_([-\d.]*)\.tar\.gz

## r-cran-rslurm 0.6.1+dfsg

=== DESCRIPTION ===
Package: rslurm
Type: Package
Title: Submit R Calculations to a 'Slurm' Cluster
Description: Functions that simplify submitting R scripts to a 'Slurm' 
    workload manager, in part by automating the division of embarrassingly
    parallel calculations across cluster nodes.
Acknowledgements: Development of this R package was supported by the
        National Socio-Environmental Synthesis Center (SESYNC) under
        funding received from the National Science Foundation grants
        DBI-1052875 and DBI-1639145.
Version: 0.6.1
Date: 2021-11-12
License: GPL-3
URL: https://sesync-ci.github.io/rslurm/
BugReports: https://github.com/SESYNC-ci/rslurm/issues
Authors@R: c(person('Philippe', 'Marchand', email = "marchand.philippe@gmail.com", role = 'aut'),
             person('Ian', 'Carroll', role = 'aut'),
             person('Mike', 'Smorul', role = 'aut'),
             person('Rachael', 'Blake', role = 'aut'),
             person('Quentin', 'Read', email = 'quentin.read@usda.gov', role = c('aut', 'cre')),
             person('Dayne', 'Filer', role = 'ctb'),
             person('Ben', 'Fasoli', role = 'ctb'),
             person('Pol', 'van Rijn', role = 'ctb'),
             person('Sebastian', 'Schubert', role = 'ctb'),
             person('Rob', 'Gilmore', role = 'ctb'),
             person('Christopher', 'Barrington', role = 'ctb'),
             person('Se Jong', 'Cho', role = 'art')
             )
Depends: R (>= 3.5.0)
Imports: whisker (>= 0.3)
RoxygenNote: 7.1.2
Suggests: parallel, testthat, knitr, rmarkdown, markdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-11-12 19:56:33 UTC; qread@sesync.org
Author: Philippe Marchand [aut],
  Ian Carroll [aut],
  Mike Smorul [aut],
  Rachael Blake [aut],
  Quentin Read [aut, cre],
  Dayne Filer [ctb],
  Ben Fasoli [ctb],
  Pol van Rijn [ctb],
  Sebastian Schubert [ctb],
  Rob Gilmore [ctb],
  Christopher Barrington [ctb],
  Se Jong Cho [art]
Maintainer: Quentin Read <quentin.read@usda.gov>
Repository: CRAN
Date/Publication: 2021-11-15 09:40:02 UTC

=== debian/changelog ===
r-cran-rslurm (0.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.1+dfsg
  * d/rules: Fix permissions

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Nov 2021 01:29:35 +0530

r-cran-rslurm (0.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 12:27:26 +0200

r-cran-rslurm (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:26:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-whisker
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rslurm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rslurm.git
 Homepage: https://cran.r-project.org/package=rslurm
+Rules-Requires-Root: no
 
 Package: r-cran-rslurm
 Architecture: all

## r-cran-rslurm 0.6.2+dfsg

=== DESCRIPTION ===
Package: rslurm
Type: Package
Title: Submit R Calculations to a 'Slurm' Cluster
Description: Functions that simplify submitting R scripts to a 'Slurm' 
    workload manager, in part by automating the division of embarrassingly
    parallel calculations across cluster nodes.
Acknowledgements: Development of this R package was supported by the
        National Socio-Environmental Synthesis Center (SESYNC) under
        funding received from the National Science Foundation grants
        DBI-1052875 and DBI-1639145.
Version: 0.6.2
Date: 2023-01-31
License: GPL-3
URL: https://www.earthdatascience.org/rslurm/
BugReports: https://github.com/earthlab/rslurm/issues
Authors@R: c(person('Philippe', 'Marchand', email = "marchand.philippe@gmail.com", role = 'aut'),
             person('Ian', 'Carroll', role = 'aut'),
             person('Mike', 'Smorul', role = 'aut'),
             person('Rachael', 'Blake', role = 'aut'),
             person('Quentin', 'Read', email = 'quentin.read@usda.gov', role = 'aut'),
             person('Dayne', 'Filer', role = 'ctb'),
             person('Ben', 'Fasoli', role = 'ctb'),
             person('Pol', 'van Rijn', role = 'ctb'),
             person('Sebastian', 'Schubert', role = 'ctb'),
             person('Rob', 'Gilmore', role = 'ctb'),
             person('Christopher', 'Barrington', role = 'ctb'),
             person('Se Jong', 'Cho', role = 'art'),
             person('Erick Verleye', email='erve3705@colorado.edu', role = 'cre')
             )
Depends: R (>= 3.5.0)
Imports: whisker (>= 0.3)
RoxygenNote: 7.2.3
Suggests: parallel, testthat, knitr, rmarkdown, markdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-02-23 19:14:46 UTC; verleyee
Author: Philippe Marchand [aut],
  Ian Carroll [aut],
  Mike Smorul [aut],
  Rachael Blake [aut],
  Quentin Read [aut],
  Dayne Filer [ctb],
  Ben Fasoli [ctb],
  Pol van Rijn [ctb],
  Sebastian Schubert [ctb],
  Rob Gilmore [ctb],
  Christopher Barrington [ctb],
  Se Jong Cho [art],
  Erick Verleye [cre]
Maintainer: Erick Verleye <erve3705@colorado.edu>
Repository: CRAN
Date/Publication: 2023-02-24 08:42:35 UTC

=== debian/changelog ===
r-cran-rslurm (0.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Mar 2023 11:55:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-whisker
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rslurm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rslurm.git
 Homepage: https://cran.r-project.org/package=rslurm

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian/ \( -name "slurm_run*" -o -name "slurm_map*" -o -name "*.rds" -o -name "*.Rmd" \) -exec chmod -x \{\} \;

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/rslurm_([-\d.]*)\.tar\.gz
